/* Buttons */

:root {
	--btn-glow: 0 0 3px var(--color-nav1);
	--btn-glow-hover: 0 0 6px var(--color-nav1);
}

/* Rectangular Text Button */
.btn {
	padding: 16px 16px;
	margin: 10px;
	color: var(--color-nav1);
	background-color: var(--color-nav2);
	box-shadow: var(--btn-glow);
	border-radius: 8px;
	font-family: Montserrat, sans-serif;
	font-weight: 700;
	font-size: 32px;
	text-decoration: none;
	transition: all 0.2s;
}

.btn:hover, .btn:active {
	color: var(--color-nav3);
	box-shadow: var(--btn-glow-hover);
}

/* Circular Icon Button */
.btn-icon {
	cursor: pointer;
}

.btn-icon .fa-stack-2x {
	color: var(--color-nav2);
	text-shadow: var(--btn-glow);
	transition: all 0.2s;
}

.btn-icon .fa-stack-1x {
	color: var(--color-nav1);
	transition: all 0.2s;
}

.btn-icon:hover .fa-stack-1x, .btn-icon:active .fa-stack-1x {
	color: var(--color-nav3);
}
	
.btn-icon:hover .fa-stack-2x, .btn-icon:active .fa-stack-2x {
	text-shadow: var(--btn-glow-hover);
}

/* Slicknav Menu Button */
.slicknav_btn {
	background: var(--color-nav2);
	width: 36px;
	height: 36px;
	border-radius: 100%;
	margin: 8px;
	box-shadow: var(--btn-glow);
}

.slicknav_btn:hover, .slicknav_btn:active {
	box-shadow: var(--btn-glow-hover);
}

.slicknav_menu .slicknav_icon {
	margin: 0.28em 0 0 -0.03em;
}

.slicknav_menu .slicknav_icon-bar {
	background: var(--color-nav1);
	transition: all 0.2s;
}

.slicknav_menu .slicknav_btn:hover .slicknav_icon-bar, .slicknav_menu .slicknav_btn:active .slicknav_icon-bar {
	background: var(--color-nav3);
}

/* Circular Social Media Icon Buttons */
.btn-icon.facebook:hover .fa-stack-2x {
	color: var(--color-facebook);
}

.btn-icon.twitter:hover .fa-stack-2x {
	color: var(--color-twitter);
}

.btn-icon.instagram:hover .fa-stack-2x {
	color: var(--color-instagram);
}

.btn-icon.slack:hover .fa-stack-2x {
	color: var(--color-slack);
}

ul.inline li {
	display: inline-block;
}

/* Circular Navbar Close Button */
#close-button {
	cursor: pointer;
	position: absolute;
	left: -48px;
	top: 12px;
}

/* Circular Back to Top Button */
.back-to-top {
	display: none;
	position: fixed;
	bottom: 20px;
	right: 20px;
}
